Bug 175156 - Issue http 302 redirect request for ISO downloads
Issue http 302 redirect request for ISO downloads
Status: CLOSED WONTFIX
Product: Red Hat Network
Classification: Red Hat
Component: RHN/Web Site (Show other bugs)
rhn400
All Linux
medium Severity medium
: ---
: ---
Assigned To: Pradeep Kilambi
Brandon Perkins
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-12-06 18:27 EST by Jason Connor
Modified: 2014-03-30 21:38 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-10-15 11:45:31 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jason Connor 2005-12-06 18:27:41 EST
I believe that this was implemented already somewhere in the Perl stack. I'd
like to just port/reuse/reactivate this code if necessary.
Comment 1 Pradeep Kilambi 2006-04-12 11:37:34 EDT
This support has been added in the perl code base. This modified such that
RHN::Downloads which had specific code to local(hosted) is now replaced with
RHN::TokenGen::Local.

rhn-tokengen rpm has the akamai specific tokengen.Which needs to be installed.

RHN::TokenGen::Generator acts as a switch whether to choose a Akamai
tokenGen(Akamai.pm) or local(phx/tampa)(Local.pm) based on the location name.

Basically:
- The link for an iso in web ui will be pointing to akamai or local based on the
location. 

- When the client clicks for the iso (in the browser) and if the iso is
available with akamai we download it.

- else akamai will point to akamai_iso.pxt which basically redirect to hosted
(tampa/pxx) which ever datacenter we use to download the iso.

- akamai sends back the redirect url with some specific info such as path and
location.

- the authentication of the path is done using a cleanser basically checking for
user auth.

Comment 2 Beth Nackashi 2006-04-22 16:18:01 EDT
bperkins will be the QA contact for ISO/package redirect when (if?) it is
implemented
Comment 3 Amanda Carter 2008-10-15 11:45:31 EDT
This bug has been closed due to inactivity.  Please open a new bug with specific details if this problem is still occurring or if an enhancement is needed.

Note You need to log in before you can comment on or make changes to this bug.